Package: org.grails.plugins.web.mime

## [Groovy] Class AbstractMimeTypesGrailsPlugin

- org.grails.plugins.web.mime.AbstractMimeTypesGrailsPlugin

-     @java.lang.Deprecated
      abstract class AbstractMimeTypesGrailsPlugin
      extends Plugin

  Provides content negotiation capabilities to Grails via a new withFormat method on controllers as well as a format property on the HttpServletRequest instance.

  deprecated:
    Use MimeTypesConfiguration instead
  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractMimeTypesGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Constructor Detail

    - #### AbstractMimeTypesGrailsPlugin()

  - ### Method Detail

    - #### groovy.lang.Closure doWithSpring()